unit RSADemoDM;

interface

uses
  SysUtils, Classes, MPComponents;

type
  TRSANewKeyDM = class(TDataModule)
    p: TMPPrime;
    q: TMPPrime;
    ptrigger: TMPCondition;
    NLoop: TMPCondition;
    NNew: TMPMulMod;
    One: TMPValue;
    p1: TMPSubMod;
    q1: TMPSubMod;
    p1q1: TMPMulMod;
    e3: TMPValue;
    d3: TMPInvMod;
    e17: TMPValue;
    d17: TMPInvMod;
    e65537: TMPValue;
    d65537: TMPInvMod;
    ernd: TMPRandom;
    etrigger: TMPCondition;
    drnd: TMPInvMod;
    gcdp1q1: TMPGCD;
    lcmp1q1: TMPDivMod;
    qtrigger: TMPCondition;
    gcdpq: TMPGCD;
    procedure DataModuleCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  RSANewKeyDM: TRSANewKeyDM;

implementation

{$R *.dfm}

procedure TRSANewKeyDM.DataModuleCreate(Sender: TObject);
begin
  NLoop.Active := True;
end;

end.
